<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC Generator (erpcgen): ConstType.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC Generator (erpcgen)
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_const_type_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">ConstType.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright (c) 2014, Freescale Semiconductor, Inc.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> * Copyright 2016 NXP</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * All rights reserved.</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * Redistribution and use in source and binary forms, with or without modification,</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> * are permitted provided that the following conditions are met:</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> * o Redistributions of source code must retain the above copyright notice, this list</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> *   of conditions and the following disclaimer.</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * o Redistributions in binary form must reproduce the above copyright notice, this</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> *   list of conditions and the following disclaimer in the documentation and/or</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> *   other materials provided with the distribution.</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"> * o Neither the name of the copyright holder nor the names of its</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment"> *   contributors may be used to endorse or promote products derived from this</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment"> *   software without specific prior written permission.</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment"> * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS &quot;AS IS&quot; AND</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment"> * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment"> * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment"> * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment"> * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="comment"> * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="comment"> * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="comment"> * ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="comment"> * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="comment"> * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#ifndef _EMBEDDED_RPC__CONST_H_</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="preprocessor">#define _EMBEDDED_RPC__CONST_H_</span></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">#include &quot;DataType.h&quot;</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="preprocessor">#include &quot;Symbol.h&quot;</span></div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="comment">// Classes</span></div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="comment"></span></div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceerpcgen.html">erpcgen</a> {</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;</div><div class="line"><a name="l00048"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_const_type.html">   48</a></span>&#160;<span class="keyword">class </span><a class="code" href="classerpcgen_1_1_const_type.html">ConstType</a> : <span class="keyword">public</span> <a class="code" href="classerpcgen_1_1_symbol.html">Symbol</a></div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;{</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00060"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_const_type.html#aca35357ab2202c7c7b946f6d17fca1d8">   60</a></span>&#160;    <a class="code" href="classerpcgen_1_1_const_type.html#aca35357ab2202c7c7b946f6d17fca1d8">ConstType</a>(<span class="keyword">const</span> <a class="code" href="classerpcgen_1_1_token.html">Token</a> &amp;tok, <a class="code" href="classerpcgen_1_1_data_type.html">DataType</a> *dataType, <a class="code" href="class_value.html">Value</a> *value)</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;    : <a class="code" href="classerpcgen_1_1_symbol.html">Symbol</a>(kConstSymbol, tok)</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;    , <a class="code" href="classerpcgen_1_1_const_type.html#a5178fbef050ccbb01987703839392907">m_dataType</a>(dataType)</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;    , <a class="code" href="classerpcgen_1_1_const_type.html#a0b2746d002b70fe40d25034f57b7006f">m_value</a>(value)</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;    {</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;    }</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;</div><div class="line"><a name="l00072"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_const_type.html#ae26b523412fd69f2eae4259f3c680aeb">   72</a></span>&#160;    <a class="code" href="classerpcgen_1_1_data_type.html">DataType</a> *<a class="code" href="classerpcgen_1_1_const_type.html#ae26b523412fd69f2eae4259f3c680aeb">getDataType</a>() { <span class="keywordflow">return</span> <a class="code" href="classerpcgen_1_1_const_type.html#a5178fbef050ccbb01987703839392907">m_dataType</a>; }</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;</div><div class="line"><a name="l00079"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_const_type.html#acc814b59dd3d5bf544767e377d6323c1">   79</a></span>&#160;    <a class="code" href="class_value.html">Value</a> *<a class="code" href="classerpcgen_1_1_const_type.html#acc814b59dd3d5bf544767e377d6323c1">getValue</a>() { <span class="keywordflow">return</span> <a class="code" href="classerpcgen_1_1_const_type.html#a0b2746d002b70fe40d25034f57b7006f">m_value</a>; }</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;</div><div class="line"><a name="l00086"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_const_type.html#a686b6ac07b968882bf6f0cea7ec7f0f8">   86</a></span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classerpcgen_1_1_const_type.html#a686b6ac07b968882bf6f0cea7ec7f0f8">setDataType</a>(<a class="code" href="classerpcgen_1_1_data_type.html">DataType</a> *dataType) { <a class="code" href="classerpcgen_1_1_const_type.html#a5178fbef050ccbb01987703839392907">m_dataType</a> = dataType; }</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;</div><div class="line"><a name="l00093"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_const_type.html#a7213e9774d959eca21c4261b0d89a8f2">   93</a></span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classerpcgen_1_1_const_type.html#a7213e9774d959eca21c4261b0d89a8f2">setValue</a>(<a class="code" href="class_value.html">Value</a> *value) { <a class="code" href="classerpcgen_1_1_const_type.html#a0b2746d002b70fe40d25034f57b7006f">m_value</a> = value; }</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;<span class="keyword">protected</span>:</div><div class="line"><a name="l00096"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_const_type.html#a5178fbef050ccbb01987703839392907">   96</a></span>&#160;    <a class="code" href="classerpcgen_1_1_data_type.html">DataType</a> *<a class="code" href="classerpcgen_1_1_const_type.html#a5178fbef050ccbb01987703839392907">m_dataType</a>; </div><div class="line"><a name="l00097"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_const_type.html#a0b2746d002b70fe40d25034f57b7006f">   97</a></span>&#160;    <a class="code" href="class_value.html">Value</a> *<a class="code" href="classerpcgen_1_1_const_type.html#a0b2746d002b70fe40d25034f57b7006f">m_value</a>;       </div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;};</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;} <span class="comment">// namespace erpcgen</span></div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;<span class="preprocessor">#endif // _EMBEDDED_RPC__CONST_H_</span></div><div class="ttc" id="classerpcgen_1_1_const_type_html_a686b6ac07b968882bf6f0cea7ec7f0f8"><div class="ttname"><a href="classerpcgen_1_1_const_type.html#a686b6ac07b968882bf6f0cea7ec7f0f8">erpcgen::ConstType::setDataType</a></div><div class="ttdeci">void setDataType(DataType *dataType)</div><div class="ttdoc">This function sets constant data type. </div><div class="ttdef"><b>Definition:</b> ConstType.h:86</div></div>
<div class="ttc" id="classerpcgen_1_1_const_type_html_a0b2746d002b70fe40d25034f57b7006f"><div class="ttname"><a href="classerpcgen_1_1_const_type.html#a0b2746d002b70fe40d25034f57b7006f">erpcgen::ConstType::m_value</a></div><div class="ttdeci">Value * m_value</div><div class="ttdef"><b>Definition:</b> ConstType.h:97</div></div>
<div class="ttc" id="classerpcgen_1_1_const_type_html_aca35357ab2202c7c7b946f6d17fca1d8"><div class="ttname"><a href="classerpcgen_1_1_const_type.html#aca35357ab2202c7c7b946f6d17fca1d8">erpcgen::ConstType::ConstType</a></div><div class="ttdeci">ConstType(const Token &amp;tok, DataType *dataType, Value *value)</div><div class="ttdoc">Constructor. </div><div class="ttdef"><b>Definition:</b> ConstType.h:60</div></div>
<div class="ttc" id="classerpcgen_1_1_const_type_html"><div class="ttname"><a href="classerpcgen_1_1_const_type.html">erpcgen::ConstType</a></div><div class="ttdoc">Const class. </div><div class="ttdef"><b>Definition:</b> ConstType.h:48</div></div>
<div class="ttc" id="classerpcgen_1_1_const_type_html_a7213e9774d959eca21c4261b0d89a8f2"><div class="ttname"><a href="classerpcgen_1_1_const_type.html#a7213e9774d959eca21c4261b0d89a8f2">erpcgen::ConstType::setValue</a></div><div class="ttdeci">void setValue(Value *value)</div><div class="ttdoc">This function sets constant value. </div><div class="ttdef"><b>Definition:</b> ConstType.h:93</div></div>
<div class="ttc" id="classerpcgen_1_1_const_type_html_acc814b59dd3d5bf544767e377d6323c1"><div class="ttname"><a href="classerpcgen_1_1_const_type.html#acc814b59dd3d5bf544767e377d6323c1">erpcgen::ConstType::getValue</a></div><div class="ttdeci">Value * getValue()</div><div class="ttdoc">This function returns value of constant data type. </div><div class="ttdef"><b>Definition:</b> ConstType.h:79</div></div>
<div class="ttc" id="classerpcgen_1_1_symbol_html"><div class="ttname"><a href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></div><div class="ttdoc">Base class for all named declarations in the IDL. </div><div class="ttdef"><b>Definition:</b> Symbol.h:49</div></div>
<div class="ttc" id="classerpcgen_1_1_const_type_html_a5178fbef050ccbb01987703839392907"><div class="ttname"><a href="classerpcgen_1_1_const_type.html#a5178fbef050ccbb01987703839392907">erpcgen::ConstType::m_dataType</a></div><div class="ttdeci">DataType * m_dataType</div><div class="ttdef"><b>Definition:</b> ConstType.h:96</div></div>
<div class="ttc" id="class_value_html"><div class="ttname"><a href="class_value.html">Value</a></div><div class="ttdoc">Abstract base class for values of arbitrary types. </div><div class="ttdef"><b>Definition:</b> Value.h:49</div></div>
<div class="ttc" id="classerpcgen_1_1_data_type_html"><div class="ttname"><a href="classerpcgen_1_1_data_type.html">erpcgen::DataType</a></div><div class="ttdoc">Base class for data types. </div><div class="ttdef"><b>Definition:</b> DataType.h:47</div></div>
<div class="ttc" id="classerpcgen_1_1_token_html"><div class="ttname"><a href="classerpcgen_1_1_token.html">erpcgen::Token</a></div><div class="ttdoc">Encapsulates all information about a token. </div><div class="ttdef"><b>Definition:</b> Token.h:69</div></div>
<div class="ttc" id="classerpcgen_1_1_const_type_html_ae26b523412fd69f2eae4259f3c680aeb"><div class="ttname"><a href="classerpcgen_1_1_const_type.html#ae26b523412fd69f2eae4259f3c680aeb">erpcgen::ConstType::getDataType</a></div><div class="ttdeci">DataType * getDataType()</div><div class="ttdoc">This function returns pointer to element data type. </div><div class="ttdef"><b>Definition:</b> ConstType.h:72</div></div>
<div class="ttc" id="namespaceerpcgen_html"><div class="ttname"><a href="namespaceerpcgen.html">erpcgen</a></div><div class="ttdef"><b>Definition:</b> AstNode.h:47</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
